apache2-doc debian weirdness fixed

If like the zoo you upgraded from debian 8 to debian 9 (my blog) then apache2-doc fails to do something on the lines of

ERROR: Conf apache2-doc does not exist!
dpkg: error processing package apache2 (–configure):

But apache still runs.  – An purge and install eg:

apt purge apache2-doc;apt install apache2-doc

Fixes it so shit software like systemd will not complain about it.  Honestly no idea why you have to do this when the version of the package was current but that’s how things go with systemd

debian stretch update 9.2 screw ups with systemd

Sisyphus is still a role model

I hate systemd – an update to postfix wiped our systemd file (our file) and the postmulti settings did not start. Another milllion reasons to hang draw and quarter Potterang and the systemd people (my blog).

Fishing about in my notes i diagnosed with postmulti,, copied yet another broken debain systemd file copied my backup to the real systemd file, daemon reloaded systemctl and then started postfix.

Postfix starts x5 but now the systemd file says it does not start even though they are – so if you still think systemd is a good idea your in need a mental health doctor.

If anybody can fuckup a start stop script these people can.  I mean if my copy of what once worked now does not how the fuck is this maintainable.  Beyond me.

How was your weekend ?

Then i had the issues with opendkim. (my blog) same old shit once more which makes systemd a nightmare.